Bug 600923 - [abrt] crash in rabbitvcs-core-0.13.2-1.fc13: shutil.py:52:copyfile:IOError: [Errno 21] Is a directory: '/mnt/nervanna/dev/web/projects/arabsinaspic.org/admin'
Summary: [abrt] crash in rabbitvcs-core-0.13.2-1.fc13: shutil.py:52:copyfile:IOError: ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:085702e3
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-06 17:47 UTC by Einar Uvsløkk
Modified: 2010-06-23 17:54 UTC (History)
1 user (show)

Fixed In Version: rabbitvcs-0.13.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 17:53:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (990 bytes, text/plain)
2010-06-06 17:47 UTC, Einar Uvsløkk
no flags Details

Description Einar Uvsløkk 2010-06-06 17:47:53 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/lib/python2.6/site-packages/rabbitvcs/ui/commit.py /mnt/nervanna/dev/web/projects/arabsinaspic.org
component: rabbitvcs
executable: /usr/lib/python2.6/site-packages/rabbitvcs/ui/commit.py
kernel: 2.6.33.5-112.fc13.i686.PAE
package: rabbitvcs-core-0.13.2-1.fc13
reason: shutil.py:52:copyfile:IOError: [Errno 21] Is a directory: '/mnt/nervanna/dev/web/projects/arabsinaspic.org/admin'
release: Fedora release 13 (Goddard)

backtrace
-----
shutil.py:52:copyfile:IOError: [Errno 21] Is a directory: '/mnt/nervanna/dev/web/projects/arabsinaspic.org/admin'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/rabbitvcs/ui/widget.py", line 385, in __row_activated_event
    self.callbacks["row-activated"](treeview, data, col)
  File "/usr/lib/python2.6/site-packages/rabbitvcs/ui/commit.py", line 259, in on_files_table_row_activated
    rabbitvcs.lib.helper.launch_diff_tool(*paths)
  File "/usr/lib/python2.6/site-packages/rabbitvcs/lib/helper.py", line 329, in launch_diff_tool
    shutil.copy(path1, "/tmp")
  File "/usr/lib/python2.6/shutil.py", line 88, in copy
    copyfile(src, dst)
  File "/usr/lib/python2.6/shutil.py", line 52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 21] Is a directory: '/mnt/nervanna/dev/web/projects/arabsinaspic.org/admin'

Local variables in innermost frame:
src: '/mnt/nervanna/dev/web/projects/arabsinaspic.org/admin'
dst: '/tmp/admin'
fdst: None
fsrc: None

comment
-----
Was just playing around in my repo folder. Was trying to commit some files, and wanted to compare the last changes in the some of the files.

How to reproduce
-----
1. Opened repo folder in nautilus
2. Right clicked selected files and chose Commit
3. In the new dialog window: dobbel-clicked a folder in the 'changed files' section

Comment 1 Einar Uvsløkk 2010-06-06 17:47:56 UTC
Created attachment 421626 [details]
File: backtrace

Comment 2 Juan Manuel Rodriguez 2010-06-06 18:32:44 UTC
Reported Upstream. In the mean time, I'll push the 0.13.2.1 package to updates-testing. It should land there in a couple of days. 

I don't think 0.13.2.1 fixes this particular issue though...

Comment 3 Juan Manuel Rodriguez 2010-06-06 18:34:01 UTC
Can't mark it as an external bug, as bugzilla doesn't support google code as tool, so here's the link:

http://code.google.com/p/rabbitvcs/issues/detail?id=371&colspec=Stars%20ID%20Type%20Status%20Priority%20Milestone%20Owner%20Summary

Comment 4 Fedora Update System 2010-06-16 19:25:42 UTC
rabbitvcs-0.13.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc12

Comment 5 Fedora Update System 2010-06-16 19:25:45 UTC
rabbitvcs-0.13.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc13

Comment 6 Fedora Update System 2010-06-21 13:01:40 UTC
rabbitvcs-0.13.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rabbitvcs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc13

Comment 7 Fedora Update System 2010-06-21 13:08:05 UTC
rabbitvcs-0.13.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rabbitvcs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc12

Comment 8 Fedora Update System 2010-06-23 17:53:20 UTC
rabbitvcs-0.13.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-06-23 17:54:35 UTC
rabbitvcs-0.13.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.